function tsMatrix = getPairwiseTsMatrix_libmri(tsIdx)
%GETPAIRWISETSMATRIX Summary of this function goes here
%   harcoded matrices

% ts1_missingSl = [0 1 0 1 0 1 ...
%     0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1 ...
%     0 0 0 0 1 0 ...
%     1 0 1 0 0 0];
% 
% ts2_missingSl = [1 0 1 0 0 0 ...
%     0 1 0 1 0 1 ...
%     0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1 ...
%     0 0 0 0 1 0];
% 
% 
% ts3_missingSl = [0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1 ...
%     0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1];


%how this works: each cell stores the baseIdx which is the index of the
%slice to which must be applied the tform. Apply IN ORDER the
%tforms corresponding to tformIdx (they are found via findPairwiseTforms)
%to get the 'interpolated' slice for the current index. Forward or backwars
%is related to if we find a slice from bigger slices (go backwards, ie.
%shrink) or the other direction, cf findPairwiseTforms, which returns
%tform_backward and tform_forward which stores in each cell the transform
%wich aligns either the slice i to the i+1 or the i+1 to the i (fwd or
%bkwd)
tsStruct_1 = { struct('baseIdx',2,'tformIdx',[2],'tformDir','backward'), {} , struct('baseIdx',4,'tformIdx',[4],'tformDir','backward'), {},  struct('baseIdx',6,'tformIdx',[6],'tformDir','backward'), {}, ...
    struct('baseIdx',6,'tformIdx',[6],'tformDir','forward'), struct('baseIdx',6,'tformIdx',[6,7],'tformDir','forward'), struct('baseIdx',11,'tformIdx',[11,10],'tformDir','backward'), struct('baseIdx',11,'tformIdx',[11],'tformDir','backward'), {}, struct('baseIdx',11,'tformIdx',[11],'tformDir','forward'), ...
    {}, struct('baseIdx',13,'tformIdx',[13],'tformDir','forward'), {},  struct('baseIdx',15,'tformIdx',[15],'tformDir','forward'),  struct('baseIdx',15,'tformIdx',[15,16],'tformDir','forward'),  struct('baseIdx',20,'tformIdx',[20,19],'tformDir','backward'), ...
    struct('baseIdx',20,'tformIdx',[20],'tformDir','backward'), {},  struct('baseIdx',22,'tformIdx',[22],'tformDir','backward'),{}, struct('baseIdx',24,'tformIdx',[24],'tformDir','backward'), {}, ...
    struct('baseIdx',24,'tformIdx',[24],'tformDir','forward'), struct('baseIdx',24,'tformIdx',[24,25],'tformDir','forward'), struct('baseIdx',29,'tformIdx',[29,28],'tformDir','backward'), struct('baseIdx',29,'tformIdx',[29],'tformDir','backward'), {}, struct('baseIdx',29,'tformIdx',[29],'tformDir','forward'), ...
    {}, struct('baseIdx',31,'tformIdx',[31],'tformDir','forward'),  {},  struct('baseIdx',33,'tformIdx',[33],'tformDir','forward'), struct('baseIdx',33,'tformIdx',[33,34],'tformDir','forward'),  {}};

tsStruct_2 = {{}, struct('baseIdx',1,'tformIdx',[1],'tformDir','forward'), {}, struct('baseIdx',3,'tformIdx',[3],'tformDir','forward'), struct('baseIdx',3,'tformIdx',[3,4],'tformDir','forward'), struct('baseIdx',8,'tformIdx',[8,7],'tformDir','backward'), ...
    struct('baseIdx',8,'tformIdx',[8],'tformDir','backward'), {}, struct('baseIdx',10,'tformIdx',[10],'tformDir','backward'), {}, struct('baseIdx',10,'tformIdx',[10],'tformDir','forward'), {}, ...
    struct('baseIdx',12,'tformIdx',[12],'tformDir','forward'), struct('baseIdx',12,'tformIdx',[12,13],'tformDir','forward'), struct('baseIdx',17,'tformIdx',[17,16],'tformDir','backward'), struct('baseIdx',17,'tformIdx',[17],'tformDir','backward'), {}, struct('baseIdx',17,'tformIdx',[17],'tformDir','forward'), ...
    {}, struct('baseIdx',19,'tformIdx',[19],'tformDir','forward'), {}, struct('baseIdx',21,'tformIdx',[21],'tformDir','forward'), struct('baseIdx',21,'tformIdx',[21,22],'tformDir','forward'), struct('baseIdx',26,'tformIdx',[26,25],'tformDir','backward'), ...
    struct('baseIdx',26,'tformIdx',[26],'tformDir','backward'), {}, struct('baseIdx',28,'tformIdx',[28],'tformDir','backward'), {}, struct('baseIdx',28,'tformIdx',[28],'tformDir','forward'), {}, ...
    struct('baseIdx',30,'tformIdx',[30],'tformDir','forward'), struct('baseIdx',30,'tformIdx',[30,31],'tformDir','forward'), struct('baseIdx',35,'tformIdx',[35,34],'tformDir','backward'), struct('baseIdx',35,'tformIdx',[35],'tformDir','backward'), {}, {}};

% tsStruct_3 = [0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1 ...
%     0 0 0 0 1 0 ...
%     1 0 1 0 0 0 ...
%     0 1 0 1 0 1];

tsStruct_3 = {struct('baseIdx',5,'tformIdx',[5,4,3,2],'tformDir','backward'), struct('baseIdx',5,'tformIdx',[5,4,3],'tformDir','backward'), struct('baseIdx',5,'tformIdx',[5,4],'tformDir','backward'), struct('baseIdx',5,'tformIdx',[5],'tformDir','backward'), {}, struct('baseIdx',7,'tformIdx',[7],'tformDir','backward'), ...
    {}, struct('baseIdx',7,'tformIdx',[7],'tformDir','forward'), {}, struct('baseIdx',9,'tformIdx',[9],'tformDir','forward'), struct('baseIdx',9,'tformIdx',[9,10],'tformDir','forward'), struct('baseIdx',14,'tformIdx',[14,13],'tformDir','backward'), ...
    struct('baseIdx',14,'tformIdx',[14],'tformDir','backward'), {}, struct('baseIdx',16,'tformIdx',[16],'tformDir','backward'), {}, struct('baseIdx',16,'tformIdx',[16],'tformDir','forward'), {}, ...
    struct('baseIdx',18,'tformIdx',[18],'tformDir','forward'), struct('baseIdx',18,'tformIdx',[18,19],'tformDir','forward'), struct('baseIdx',23,'tformIdx',[23,22],'tformDir','backward'),  struct('baseIdx',23,'tformIdx',[23],'tformDir','backward'), {},  struct('baseIdx',25,'tformIdx',[25],'tformDir','backward'), ...
    {},  struct('baseIdx',25,'tformIdx',[25],'tformDir','forward'), {}, struct('baseIdx',27,'tformIdx',[27],'tformDir','forward'), struct('baseIdx',27,'tformIdx',[27,28],'tformDir','forward'), struct('baseIdx',32,'tformIdx',[32,31],'tformDir','backward'), ...
    struct('baseIdx',32,'tformIdx',[32],'tformDir','backward'), {}, struct('baseIdx',34,'tformIdx',[34],'tformDir','backward'), {}, struct('baseIdx',34,'tformIdx',[34],'tformDir','forward'), {}};



switch tsIdx
    case 1
        %disp('return tsStruct_1');
        tsMatrix = tsStruct_1;
    case 2
        %disp('return tsStruct_2');
        tsMatrix = tsStruct_2;
    case 3
        %disp('return tsStruct_3');
        tsMatrix = tsStruct_3;
    otherwise
        disp('>>>>> WRONG ts index in getPairwiseTsMatrix(tsIdx) <<<<<<');
end

end


